﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.CallCenter
{
    /// <summary>
    /// 呼叫状态
    /// 兴唐状态: 0: 留言; 1: 队列等待超时; 2: 坐席振铃超时; 3: 未接; 4: 满意度; 5: 通话; 6: IVR; 7: 振铃挂机; 8: 分机互打挂机; 9: ASR交互;
    /// </summary>
    public enum ECallState
    {
        /// <summary>
        /// 无效
        /// 兴唐: SkillId = 0
        /// </summary>
        [Description("无效")]
        Invalid = 0,

        /// <summary>
        /// 接通
        /// 兴唐: 状态: 0, 4, 5, 8
        /// </summary>
        [Description("接通")]
        On = 1,

        /// <summary>
        /// 未接
        /// 兴唐 状态: 2 , 3, 7
        /// </summary>
        [Description("未接")]
        Missed = 2,

        /// <summary>
        /// 呼入队列挂断
        /// 兴唐 状态: 1
        /// </summary>
        [Description("呼入队列挂断")]
        NotAcceptedHang = 3,


        /// <summary>
        /// IVR挂断
        /// 兴唐 状态: 6
        /// </summary>
        [Description("IVR挂断")]
        IVRNoAccept = 5
    }
}
